This is a migrated thread and some comments may be shown as answers.
2.1 upgrade error
3 Answers 6 Views
This is a migrated thread and some comments may be shown as answers.
Rick
Top achievements
Rank 1
Veteran
Rick asked on 27 Sep 2019, 08:03 PM

If I upgrade to 2.1 I get the following error when trying to run my project in the latest VS.

 

System.IO.FileNotFoundException: Could not load file or assembly 'Telerik.DataSource, Version=1.2.0.0, Culture=neutral, PublicKeyToken=20b4b0547069c4f8'. The system cannot find the file specified.

Downgrading back to 2.0 makes this go away.

Maybe I am missing an upgrade step?

3 Answers, 1 is accepted

Sort by
0
Marin Bratanov
Telerik team
answered on 30 Sep 2019, 07:12 AM

Hi Rick,

Generally, a Clean and the Rebuild of the solution should help. If not, try clearing the nuget cache.

You can read more about this in the following thread: https://feedback.telerik.com/blazor/1431387-telerik-datasource-version-1-2-0-0-does-not-load.

 

Regards,
Marin Bratanov
Progress Telerik

 UI for Blazor
0
Accepted
Rick
Top achievements
Rank 1
Veteran
answered on 30 Sep 2019, 01:06 PM
Clean/rebuild worked, thanks.
0
Marin Bratanov
Telerik team
answered on 30 Sep 2019, 01:15 PM

Thanks for confirming this, Rick. I marked your post as an answer to the thread for anyone else having a similar problem.

 

Regards,
Marin Bratanov
Progress Telerik

 UI for Blazor
Asked by
Rick
Top achievements
Rank 1
Veteran
Answers by
Marin Bratanov
Telerik team
Rick
Top achievements
Rank 1
Veteran
Share this question
or